Subject: Re: bug#31739: 25.2; Cannot expire articles in virtual group

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 14 Oct 2019 08:35:18 +0200

Jamie Forth <[email-masked]> writes:

> Lars Ingebrigtsen <[email-masked]> writes:
>
>> For my test group, I get:
>>
>> (assq 'expire (gnus-info-marks (gnus-get-info "nnvirtual:imap-test")))
>> => (expire 392790 394237)
>>
>> You get nil for yours?
>
> Yes unfortunately.
>
> (gnus-info-marks (gnus-get-info "nnvirtual:vgtest")
>
> => ((unexist (1 . 34) (37 . 40)) (seen (22 . 40)))
>
> As a sanity check I just tried recreating the group with `emacs -Q` and
> the following gnus config.
>
> (setq gnus-select-method '(nntp "news.gmane.org"))
>
> (add-to-list
>  'gnus-secondary-select-methods
>  '(nnimap "gold"
>           (nnimap-stream shell)
>           (nnimap-shell-program
>            "/usr/lib/dovecot/imap -c ~/.config/dovecot/gold.conf 2> /dev/null")))
>
> Then G V, then M-e with: (nnvirtual "^nnimap\\+gold:Junk Email$")
>
> Marking some articles E, but same result!

How very odd.  I have the same setup, but with a real IMAP server, and
not nnimap-shell-program, but that shouldn't make a difference.

I've stared at the code some more, but I can't find out why the
expirable marks go missing.

Would it be possible for you to edebug through parts of
gnus-summary-exit to see when the expirable marks disappear?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no